%global pypi_name pystache

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 3
Summary:        Mustache for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pystache/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For the test
BuildRequires:  python3-simplejson

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Mustache for Python
Requires:       python3-simplejson
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%py_shebang_fix .

%build
%py3_build

%install
%py3_install

%check
#%%{__python3} -m pystache.commands.test

%files -n python3-%{pypi_name}
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-test


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 0.6.0-3.mga10
+ Revision: 2019023
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1822895
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.6.0-1.mga9
+ Revision: 1775680
- version 0.6.0
- rebuild for python-3.10

* Sun Mar 21 2021 wally <wally> 0.5.4-3.mga9
+ Revision: 1706489
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.4-2.mga8
+ Revision: 1533510
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 0.5.4-1.mga8
+ Revision: 1444564
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.5.4-1.mga7
+ Revision: 1354007
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.3-6.mga7
+ Revision: 1289808
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 wally <wally> 0.5.3-5.mga7
+ Revision: 1188612
- don't require python3 pkgs in python2 pkg

* Sat Aug 05 2017 pterjan <pterjan> 0.5.3-4.mga7
+ Revision: 1135585
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.5.3-3.mga6
+ Revision: 971131
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.3-2.mga6
+ Revision: 889302
- rebuild for python 3.5

* Fri Aug 07 2015 joequant <joequant> 0.5.3-1.mga6
+ Revision: 861544
- move pystache to python-pystache
- imported package pystache

